<?php

class Hedwix_Outreach_Team_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'hedwix-outreach-team',
			__( 'Hedwix Outreach: Team', 'hedwix-outreach' ),
			array(
				'description' => __( 'Displays List of Team Members', 'hedwix-outreach' ),
			),
			array(),
			array(
				'section_title' => array(
					'type'  => 'text',
					'label' => __( 'Enter Team Section Title', 'hedwix-outreach' ),
				),
				'posts' => array(
					'type'  => 'posts',
					'label' => __( 'Posts', 'hedwix-outreach' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Settings', 'hedwix-outreach' ),
					'hide' => true,
					'fields' => array(
						'more_text' => array(
							'type'    => 'text',
							'label'   => __( 'Read More Text', 'hedwix-outreach' ),
							'default' => __( 'Read more', 'hedwix-outreach' ),
						),
		    			'disable_excerpt' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Post Excerpt', 'hedwix-outreach' ),
		    			),
		    			'disable_more_text' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Read More Text', 'hedwix-outreach' ),
		    			),
	    			),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}
}

siteorigin_widget_register( 'hedwix-outreach-team', __FILE__, 'Hedwix_Outreach_Team_Widget' );
